<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditorDialogues.aspx.cs" Inherits="Examples_EditorDialogues_EditorDialogues" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>StyleBuilder Dialogue</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <script type="text/javascript">
   
   
            
        Telerik.Web.UI.Editor.CommandList.StyleBuilder = function(commandName, editor, oTool)
	    {	        
	        var selElementForCallback = null;	        		    
		    var callbackFunction = function(sender, args)
		    {		        
		        var htmlContent = Telerik.Web.UI.Editor.Utils.getOuterHtml(args.Result);		        
		        
		        //NEW: TD, TH, TR - these are not control elements, yet it is not good to replace them using pasteHTML 
		       //So, for that purpose, editor will replace the selected element's style attribute with new content
		        if(selElementForCallback)
		        {
		            var result = htmlContent.match(/style=["'](.*)["']/i);		            
		            //Rather than replacing the element itself, simply replace its style attribute
		            if(result[1])
		            {		                		                		                
		                selElementForCallback.style.cssText = result[1];		            		                
		            } 
		        }
		        else
		        {		             	            		           
		            editor.pasteHtml(htmlContent, commandName);
		        }			    
		    }
    		
		    var argument = {};
		    var selection = editor.getSelection();
		    var parentElement = selection.getParentElement();
		    
		    if (!selection.isControl())
		    {
			    var selectionHtml = selection.getHtml();
			    if (selectionHtml != "" || (parentElement && parentElement.tagName  == "BODY"))
			    {			        			        
				    var newSpan = editor.createElement("span");
				    Telerik.Web.UI.Editor.Utils.setElementInnerHtml(newSpan, selectionHtml);
				    parentElement = newSpan;
			    }
			    else
			    {
			        selElementForCallback = parentElement;			        
				    editor.selectElement(parentElement,false)
			    }
    			
		    }
		    argument.htmlElement = parentElement;
		    Telerik.Web.UI.Editor.CommandList._getDialogArguments(argument, "*", editor, commandName);
		    argument.fontNames = editor.get_fontNames();		    
		    editor.showDialog("StyleBuilder", argument, callbackFunction);
		    return false;
	    }
    </script> 
    <telerik:RadEditor Height="700" ID="RadEditor1" runat="server" ExternalDialogsPath="~/Examples/EditorDialogues/Dialogues">
        <Tools>
            <telerik:editortoolgroup>
                <telerik:EditorTool Name="Undo" />
                <telerik:EditorTool Name="Redo" />
                <telerik:editortool name="ImageManager" shortcut="CTRL+M" text="ImageManager with ImageEditor"/>
                <telerik:editortool name="StyleBuilder" text="Style Builder" />
                <telerik:editortool name="XhtmlValidator" text="Xhtml Validator Dialog" />
                <telerik:editortool name="TrackChangesDialog" text="Track Changes Dialog" />
                <telerik:editortool name="FormatCodeBlock" text="Format Code Block Dialog" /> 
            </telerik:editortoolgroup>
            <telerik:editortoolgroup>
                <telerik:editortool name="SetImageProperties" />
                <telerik:editortool name="ImageMapDialog"/>
                <telerik:editortool name="FlashManager" />
                <telerik:editortool name="MediaManager" />
                <telerik:editortool name="DocumentManager" />
                <telerik:editortool name="TemplateManager" />
                
                <telerik:EditorSeparator /> 
               
                <telerik:editortool name="FindAndReplace" />
                <telerik:editortool name="TableWizard" />
                <telerik:editortool name="LinkManager" /> 
                <telerik:editortool name="PageProperties" />
               
                <telerik:EditorSeparator />
               
                <telerik:editortool name="AboutDialog" />
                <telerik:editortool name="Help" />
             </telerik:editortoolgroup>
        </Tools>
        <Content>
            <img alt="product logo" src="../../Img/aspCompatible.gif" />is the successor of the well known industry standard Editor for ASP.NET. The tight integration with ASP.NET AJAX and the powerful new capabilities make Telerik's WYSIWYG Editor a flexible and lightweight component, turning it into the fastest loading Web Editor. Among the hottest features are: 
            <table>
                <tr>
                    <td>Single-file, drag-and-drop deployment</td>
                    <td>Built on top of ASP.NET AJAX</td>
                    <td>Unmatched loading speed with new semantic rendering</td>
                </tr>
                <tr>
                    <td>Full keyboard accessibility</td>
                    <td>Flexible Skinning mechanism</td>
                    <td>Simplified and intuitive toolbar configuration</td>
                </tr> 
            </table>
            <ul>
            <li><em>Single-file, drag-and-drop deployment</em></li>
            <li><em>Built on top of ASP.NET AJAX</em></li>
            <li><em>Unmatched loading speed with new semantic rendering </em></li>
            <li><em>Full keyboard accessibility</em></li>
            <li><em>Flexible Skinning mechanism</em></li>
            <li><em>Simplified and intuitive toolbar configuration</em></li>
            <li><em>Out-of-the-box XHTML-enabled output</em></li>
            </ul>
        </Content>
    </telerik:RadEditor>      
    </form>
</body>
</html>
